Subject: Re: bug#18112: 24.4.50; emacs --daemon infinite loop in find_interval

From: Andreas Schwab <[email-masked]>
Date: Sat, 26 Jul 2014 10:15:58 +0200

Eli Zaretskii <[email-masked]> writes:

> The loop is in redisplay, and the reason seems to be that get_tty_size
> returns incorrect size after the second tmux pane is closed with ^D.
> We get one line more than tmux leaves us (after usurping 1 line for
> its status line).

Does get_tty_size actually look at the correct terminal (the one
connected to the tty frame)?

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."